Bug 1323805 - [lazy sync] Content that exists on satellite not being found/pulled down by Client
Summary: [lazy sync] Content that exists on satellite not being found/pulled down by C...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-04 18:37 UTC by Corey Welton
Modified: 2019-09-25 21:18 UTC (History)
11 users (show)

Fixed In Version: pulp-2.8.7.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-26 12:25:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 1788 Urgent CLOSED - CURRENTRELEASE The pulp_streamer is subject to requests issue #2863 2016-08-19 14:01:08 UTC
Red Hat Product Errata RHBA-2016:2108 normal SHIPPED_LIVE Satellite 6.2.3 Async Bug Release 2016-10-26 16:21:52 UTC

Description Corey Welton 2016-04-04 18:37:24 UTC
Description of problem:

[In this case it is a custom repo containing capsule content, but I don't think it is directly related to this.  We can edit summary later]

Attempting to pull down content to client results in numerous 404s for some, but not all, packages

Version-Release number of selected component (if applicable):
SNAP 6.1

How reproducible:


Steps to Reproduce:
1.  Create a product called "Satellite".  
2.  Add repos for Satellite, Capsule and Tools. These presently use on_demand by default. Sync.
3.  Create associated content views that contain RHEL, Capsule and Tools repos. 
4. Register a target capsule system to your satellite and attempt to install satellite-installer



Actual results:

Client resolves all rpms properly in yum but a handful of rpms are not found when trying to download.


[root@ibm-x3550m3-13 ~]# yum install satellite-capsule
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Default_Organization_SNAP6_1_-_RHEL7_Capsule                                                                                           | 2.1 kB  00:00:00     
Default_Organization_SNAP6_1_-_RHEL7_Tools                                                                                             | 2.1 kB  00:00:00     
rhel-7-server-rpms                                                                                                                     | 2.1 kB  00:00:00     
(1/4): Default_Organization_SNAP6_1_-_RHEL7_Capsule/updateinfo                                                                         |   93 B  00:00:01     
(2/4): Default_Organization_SNAP6_1_-_RHEL7_Tools/updateinfo                                                                           |   93 B  00:00:01     
(3/4): Default_Organization_SNAP6_1_-_RHEL7_Tools/primary                                                                              |  32 kB  00:00:01     
(4/4): Default_Organization_SNAP6_1_-_RHEL7_Capsule/primary                                                                            |  88 kB  00:00:01     
Default_Organization_SNAP6_1_-_RHEL7_Capsule                                                                                                          341/341
Default_Organization_SNAP6_1_-_RHEL7_Tools                                                                                                            138/138
Resolving Dependencies
--> Running transaction check
---> Package satellite-capsule.noarch 0:6.2.0-6.1.beta.el7sat will be installed
--> Processing Dependency: foreman-installer-katello for package: satellite-capsule-6.2.0-6.1.beta.el7sat.noarch
--> Processing Dependency: foreman-proxy for package: satellite-capsule-6.2.0-6.1.beta.el7sat.noarch
--> Running transaction check
---> Package foreman-installer-katello.noarch 0:3.0.0.14-1.el7sat will be installed
--> Processing Dependency: katello-installer-base = 3.0.0.14-1.el7sat for package: foreman-installer-katello-3.0.0.14-1.el7sat.noarch
--> Processing Dependency: katello-service for package: foreman-installer-katello-3.0.0.14-1.el7sat.noarch
---> Package foreman-proxy.noarch 0:1.11.0.2-1.el7sat will be installed
--> Processing Dependency: rubygem(rubyipmi) >= 0.9.2 for package: foreman-proxy-1.11.0.2-1.el7sat.noarch
--> Processing Dependency: rubygem(rake) >= 0.8.3 for package: foreman-proxy-1.11.0.2-1.el7sat.noarch
--> Processing Dependency: rubygem(rack) >= 1.1.0 for package: foreman-proxy-1.11.0.2-1.el7sat.noarch
--> Processing Dependency: rubygem(sinatra) for package: foreman-proxy-1.11.0.2-1.el7sat.noarch
--> Processing Dependency: rubygem(rkerberos) for package: foreman-proxy-1.11.0.2-1.el7sat.noarch
--> Processing Dependency: rubygem(gssapi) for package: foreman-proxy-1.11.0.2-1.el7sat.noarch
--> Processing Dependency: rubygem(bundler_ext) for package: foreman-proxy-1.11.0.2-1.el7sat.noarch
--> Processing Dependency: foreman-debug for package: foreman-proxy-1.11.0.2-1.el7sat.noarch
--> Running transaction check
---> Package foreman-debug.noarch 0:1.11.0.9-1.el7sat will be installed
---> Package katello-installer-base.noarch 0:3.0.0.14-1.el7sat will be installed
--> Processing Dependency: puppet >= 3.4.0 for package: katello-installer-base-3.0.0.14-1.el7sat.noarch
--> Processing Dependency: foreman-installer >= 1.11.0 for package: katello-installer-base-3.0.0.14-1.el7sat.noarch
--> Processing Dependency: katello-selinux for package: katello-installer-base-3.0.0.14-1.el7sat.noarch
--> Processing Dependency: katello-certs-tools for package: katello-installer-base-3.0.0.14-1.el7sat.noarch
---> Package katello-service.noarch 0:3.0.0-3.el7sat will be installed
---> Package rubygem-bundler_ext.noarch 0:0.3.0-7.el7sat will be installed
--> Processing Dependency: rubygem(bundler) for package: rubygem-bundler_ext-0.3.0-7.el7sat.noarch
---> Package rubygem-gssapi.noarch 0:1.1.2-4.el7sat will be installed
--> Processing Dependency: rubygem(ffi) >= 1.0.1 for package: rubygem-gssapi-1.1.2-4.el7sat.noarch
---> Package rubygem-rack.noarch 1:1.4.1-13.el7sat will be installed
---> Package rubygem-rake.noarch 0:0.9.2.2-41.el7sat will be installed
---> Package rubygem-rkerberos.x86_64 0:0.1.2-3.el7sat will be installed
---> Package rubygem-rubyipmi.noarch 0:0.10.0-1.el7sat will be installed
--> Processing Dependency: ipmitool for package: rubygem-rubyipmi-0.10.0-1.el7sat.noarch
---> Package rubygem-sinatra.noarch 1:1.3.6-27.el7sat will be installed
--> Processing Dependency: rubygem(tilt) < 2 for package: 1:rubygem-sinatra-1.3.6-27.el7sat.noarch
--> Processing Dependency: rubygem(rack-protection) < 2 for package: 1:rubygem-sinatra-1.3.6-27.el7sat.noarch
--> Processing Dependency: rubygem(tilt) >= 1.3.3 for package: 1:rubygem-sinatra-1.3.6-27.el7sat.noarch
--> Processing Dependency: rubygem(rack-protection) >= 1.3 for package: 1:rubygem-sinatra-1.3.6-27.el7sat.noarch
--> Running transaction check
---> Package foreman-installer.noarch 1:1.11.0.0-1.el7sat will be installed
--> Processing Dependency: rubygem-kafo >= 0.7.1 for package: 1:foreman-installer-1.11.0.0-1.el7sat.noarch
--> Processing Dependency: rubygem-apipie-bindings >= 0.0.6 for package: 1:foreman-installer-1.11.0.0-1.el7sat.noarch
--> Processing Dependency: rubygem-highline for package: 1:foreman-installer-1.11.0.0-1.el7sat.noarch
--> Processing Dependency: foreman-selinux for package: 1:foreman-installer-1.11.0.0-1.el7sat.noarch
---> Package ipmitool.x86_64 0:1.8.13-8.el7_1 will be installed
--> Processing Dependency: OpenIPMI-modalias for package: ipmitool-1.8.13-8.el7_1.x86_64
---> Package katello-certs-tools.noarch 0:2.4.0-1.el7sat will be installed
---> Package katello-selinux.noarch 0:3.0.1.1-1.el7sat will be installed
--> Processing Dependency: policycoreutils-python for package: katello-selinux-3.0.1.1-1.el7sat.noarch
--> Processing Dependency: /usr/sbin/semanage for package: katello-selinux-3.0.1.1-1.el7sat.noarch
---> Package puppet.noarch 0:3.6.2-4.el7sat will be installed
--> Processing Dependency: ruby-rgen >= 0.6.5 for package: puppet-3.6.2-4.el7sat.noarch
--> Processing Dependency: hiera >= 1.0.0 for package: puppet-3.6.2-4.el7sat.noarch
--> Processing Dependency: ruby-shadow for package: puppet-3.6.2-4.el7sat.noarch
--> Processing Dependency: ruby-augeas for package: puppet-3.6.2-4.el7sat.noarch
--> Processing Dependency: ruby(selinux) for package: puppet-3.6.2-4.el7sat.noarch
---> Package rubygem-bundler.noarch 0:1.7.8-3.el7 will be installed
--> Processing Dependency: rubygem(thor) >= 0.19.0 for package: rubygem-bundler-1.7.8-3.el7.noarch
--> Processing Dependency: rubygem(net-http-persistent) for package: rubygem-bundler-1.7.8-3.el7.noarch
---> Package rubygem-ffi.x86_64 0:1.4.0-3.el7sat will be installed
---> Package rubygem-rack-protection.noarch 0:1.5.0-7.el7sat will be installed
---> Package rubygem-tilt.noarch 0:1.3.3-18.el7sat will be installed
--> Running transaction check
---> Package OpenIPMI-modalias.x86_64 0:2.0.19-11.el7 will be installed
---> Package foreman-selinux.noarch 0:1.11.0.0-2.el7sat will be installed
---> Package hiera.noarch 0:1.3.1-2.el7 will be installed
---> Package libselinux-ruby.x86_64 0:2.2.2-6.el7 will be installed
---> Package policycoreutils-python.x86_64 0:2.2.5-20.el7 will be installed
--> Processing Dependency: libsemanage-python >= 2.1.10-1 for package: policycoreutils-python-2.2.5-20.el7.x86_64
--> Processing Dependency: audit-libs-python >= 2.1.3-4 for package: policycoreutils-python-2.2.5-20.el7.x86_64
--> Processing Dependency: python-IPy for package: policycoreutils-python-2.2.5-20.el7.x86_64
--> Processing Dependency: libqpol.so.1(VERS_1.4)(64bit) for package: policycoreutils-python-2.2.5-20.el7.x86_64
--> Processing Dependency: libqpol.so.1(VERS_1.2)(64bit) for package: policycoreutils-python-2.2.5-20.el7.x86_64
--> Processing Dependency: libcgroup for package: policycoreutils-python-2.2.5-20.el7.x86_64
--> Processing Dependency: libapol.so.4(VERS_4.0)(64bit) for package: policycoreutils-python-2.2.5-20.el7.x86_64
--> Processing Dependency: checkpolicy for package: policycoreutils-python-2.2.5-20.el7.x86_64
--> Processing Dependency: libqpol.so.1()(64bit) for package: policycoreutils-python-2.2.5-20.el7.x86_64
--> Processing Dependency: libapol.so.4()(64bit) for package: policycoreutils-python-2.2.5-20.el7.x86_64
---> Package ruby-augeas.x86_64 0:0.5.0-1.el7 will be installed
--> Processing Dependency: augeas-libs >= 1.0.0 for package: ruby-augeas-0.5.0-1.el7.x86_64
--> Processing Dependency: libaugeas.so.0(AUGEAS_0.8.0)(64bit) for package: ruby-augeas-0.5.0-1.el7.x86_64
--> Processing Dependency: libaugeas.so.0(AUGEAS_0.16.0)(64bit) for package: ruby-augeas-0.5.0-1.el7.x86_64
--> Processing Dependency: libaugeas.so.0(AUGEAS_0.14.0)(64bit) for package: ruby-augeas-0.5.0-1.el7.x86_64
--> Processing Dependency: libaugeas.so.0(AUGEAS_0.12.0)(64bit) for package: ruby-augeas-0.5.0-1.el7.x86_64
--> Processing Dependency: libaugeas.so.0(AUGEAS_0.11.0)(64bit) for package: ruby-augeas-0.5.0-1.el7.x86_64
--> Processing Dependency: libaugeas.so.0(AUGEAS_0.10.0)(64bit) for package: ruby-augeas-0.5.0-1.el7.x86_64
--> Processing Dependency: libaugeas.so.0(AUGEAS_0.1.0)(64bit) for package: ruby-augeas-0.5.0-1.el7.x86_64
--> Processing Dependency: libaugeas.so.0()(64bit) for package: ruby-augeas-0.5.0-1.el7.x86_64
---> Package ruby-rgen.noarch 0:0.6.5-2.el7sat will be installed
---> Package ruby-shadow.x86_64 0:1.4.1-21.el7 will be installed
---> Package rubygem-apipie-bindings.noarch 0:0.0.14-2.el7sat will be installed
--> Processing Dependency: rubygem(rest-client) >= 1.6.5 for package: rubygem-apipie-bindings-0.0.14-2.el7sat.noarch
--> Processing Dependency: rubygem(oauth) for package: rubygem-apipie-bindings-0.0.14-2.el7sat.noarch
--> Processing Dependency: rubygem(awesome_print) for package: rubygem-apipie-bindings-0.0.14-2.el7sat.noarch
---> Package rubygem-highline.noarch 0:1.6.21-1.el7sat will be installed
---> Package rubygem-kafo.noarch 0:0.7.2-1.el7sat will be installed
--> Processing Dependency: rubygem(logging) < 3.0.0 for package: rubygem-kafo-0.7.2-1.el7sat.noarch
--> Processing Dependency: rubygem(clamp) >= 0.6.2 for package: rubygem-kafo-0.7.2-1.el7sat.noarch
--> Processing Dependency: rubygem(powerbar) for package: rubygem-kafo-0.7.2-1.el7sat.noarch
--> Processing Dependency: rubygem(kafo_wizards) for package: rubygem-kafo-0.7.2-1.el7sat.noarch
--> Processing Dependency: rubygem(kafo_parsers) for package: rubygem-kafo-0.7.2-1.el7sat.noarch
--> Processing Dependency: rubygem(ansi) for package: rubygem-kafo-0.7.2-1.el7sat.noarch
---> Package rubygem-net-http-persistent.noarch 0:2.8-5.el7 will be installed
---> Package rubygem-thor.noarch 0:0.19.1-1.el7 will be installed
--> Running transaction check
---> Package audit-libs-python.x86_64 0:2.4.1-5.el7 will be installed
---> Package augeas-libs.x86_64 0:1.4.0-2.el7 will be installed
---> Package checkpolicy.x86_64 0:2.1.12-6.el7 will be installed
---> Package libcgroup.x86_64 0:0.41-8.el7 will be installed
---> Package libsemanage-python.x86_64 0:2.1.10-18.el7 will be installed
---> Package python-IPy.noarch 0:0.75-6.el7 will be installed
---> Package rubygem-ansi.noarch 0:1.4.3-3.el7sat will be installed
---> Package rubygem-awesome_print.noarch 0:1.0.2-12.el7sat will be installed
---> Package rubygem-clamp.noarch 0:0.6.2-2.el7sat will be installed
---> Package rubygem-kafo_parsers.noarch 0:0.0.6-1.el7sat will be installed
---> Package rubygem-kafo_wizards.noarch 0:0.0.1-1.el7sat will be installed
---> Package rubygem-logging.noarch 0:1.8.1-26.el7sat will be installed
--> Processing Dependency: rubygem(multi_json) >= 1.3.6 for package: rubygem-logging-1.8.1-26.el7sat.noarch
--> Processing Dependency: rubygem(little-plugger) >= 1.1.3 for package: rubygem-logging-1.8.1-26.el7sat.noarch
---> Package rubygem-oauth.noarch 0:0.4.7-8.el7sat will be installed
---> Package rubygem-powerbar.noarch 0:1.0.11-8.el7sat will be installed
--> Processing Dependency: rubygem(hashie) >= 1.1.0 for package: rubygem-powerbar-1.0.11-8.el7sat.noarch
---> Package rubygem-rest-client.noarch 0:1.6.7-1.el7sat will be installed
--> Processing Dependency: rubygem(mime-types) >= 1.16 for package: rubygem-rest-client-1.6.7-1.el7sat.noarch
---> Package setools-libs.x86_64 0:3.3.7-46.el7 will be installed
--> Running transaction check
---> Package rubygem-hashie.noarch 0:2.0.5-2.el7sat will be installed
---> Package rubygem-little-plugger.noarch 0:1.1.3-17.el7sat will be installed
---> Package rubygem-mime-types.noarch 0:1.19-7.el7sat will be installed
---> Package rubygem-multi_json.noarch 0:1.8.2-4.el7sat will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================================
 Package                                 Arch               Version                            Repository                                                Size
==============================================================================================================================================================
Installing:
 satellite-capsule                       noarch             6.2.0-6.1.beta.el7sat              Default_Organization_SNAP6_1_-_RHEL7_Capsule             2.5 k
Installing for dependencies:
 OpenIPMI-modalias                       x86_64             2.0.19-11.el7                      rhel-7-server-rpms                                        15 k
 audit-libs-python                       x86_64             2.4.1-5.el7                        rhel-7-server-rpms                                        69 k
 augeas-libs                             x86_64             1.4.0-2.el7                        rhel-7-server-rpms                                       355 k
 checkpolicy                             x86_64             2.1.12-6.el7                       rhel-7-server-rpms                                       247 k
 foreman-debug                           noarch             1.11.0.9-1.el7sat                  Default_Organization_SNAP6_1_-_RHEL7_Capsule              16 k
 foreman-installer                       noarch             1:1.11.0.0-1.el7sat                Default_Organization_SNAP6_1_-_RHEL7_Capsule             737 k
 foreman-installer-katello               noarch             3.0.0.14-1.el7sat                  Default_Organization_SNAP6_1_-_RHEL7_Capsule              38 k
 foreman-proxy                           noarch             1.11.0.2-1.el7sat                  Default_Organization_SNAP6_1_-_RHEL7_Capsule             117 k
 foreman-selinux                         noarch             1.11.0.0-2.el7sat                  Default_Organization_SNAP6_1_-_RHEL7_Capsule              42 k
 hiera                                   noarch             1.3.1-2.el7                        Default_Organization_SNAP6_1_-_RHEL7_Capsule              23 k
 ipmitool                                x86_64             1.8.13-8.el7_1                     rhel-7-server-rpms                                       367 k
 katello-certs-tools                     noarch             2.4.0-1.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule              76 k
 katello-installer-base                  noarch             3.0.0.14-1.el7sat                  Default_Organization_SNAP6_1_-_RHEL7_Capsule             1.2 M
 katello-selinux                         noarch             3.0.1.1-1.el7sat                   Default_Organization_SNAP6_1_-_RHEL7_Capsule              33 k
 katello-service                         noarch             3.0.0-3.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule              13 k
 libcgroup                               x86_64             0.41-8.el7                         rhel-7-server-rpms                                        64 k
 libselinux-ruby                         x86_64             2.2.2-6.el7                        rhel-7-server-rpms                                       127 k
 libsemanage-python                      x86_64             2.1.10-18.el7                      rhel-7-server-rpms                                        94 k
 policycoreutils-python                  x86_64             2.2.5-20.el7                       rhel-7-server-rpms                                       435 k
 puppet                                  noarch             3.6.2-4.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule             1.2 M
 python-IPy                              noarch             0.75-6.el7                         rhel-7-server-rpms                                        32 k
 ruby-augeas                             x86_64             0.5.0-1.el7                        Default_Organization_SNAP6_1_-_RHEL7_Capsule              23 k
 ruby-rgen                               noarch             0.6.5-2.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule             252 k
 ruby-shadow                             x86_64             1.4.1-21.el7                       Default_Organization_SNAP6_1_-_RHEL7_Capsule              12 k
 rubygem-ansi                            noarch             1.4.3-3.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule              42 k
 rubygem-apipie-bindings                 noarch             0.0.14-2.el7sat                    Default_Organization_SNAP6_1_-_RHEL7_Capsule              34 k
 rubygem-awesome_print                   noarch             1.0.2-12.el7sat                    Default_Organization_SNAP6_1_-_RHEL7_Capsule              39 k
 rubygem-bundler                         noarch             1.7.8-3.el7                        rhel-7-server-rpms                                       147 k
 rubygem-bundler_ext                     noarch             0.3.0-7.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule             7.0 k
 rubygem-clamp                           noarch             0.6.2-2.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule              24 k
 rubygem-ffi                             x86_64             1.4.0-3.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule             1.2 M
 rubygem-gssapi                          noarch             1.1.2-4.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule              14 k
 rubygem-hashie                          noarch             2.0.5-2.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule              17 k
 rubygem-highline                        noarch             1.6.21-1.el7sat                    Default_Organization_SNAP6_1_-_RHEL7_Capsule             499 k
 rubygem-kafo                            noarch             0.7.2-1.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule              64 k
 rubygem-kafo_parsers                    noarch             0.0.6-1.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule             8.0 k
 rubygem-kafo_wizards                    noarch             0.0.1-1.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule              12 k
 rubygem-little-plugger                  noarch             1.1.3-17.el7sat                    Default_Organization_SNAP6_1_-_RHEL7_Capsule              17 k
 rubygem-logging                         noarch             1.8.1-26.el7sat                    Default_Organization_SNAP6_1_-_RHEL7_Capsule              60 k
 rubygem-mime-types                      noarch             1.19-7.el7sat                      Default_Organization_SNAP6_1_-_RHEL7_Capsule              33 k
 rubygem-multi_json                      noarch             1.8.2-4.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule              17 k
 rubygem-net-http-persistent             noarch             2.8-5.el7                          rhel-7-server-rpms                                        22 k
 rubygem-oauth                           noarch             0.4.7-8.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule             292 k
 rubygem-powerbar                        noarch             1.0.11-8.el7sat                    Default_Organization_SNAP6_1_-_RHEL7_Capsule              12 k
 rubygem-rack                            noarch             1:1.4.1-13.el7sat                  Default_Organization_SNAP6_1_-_RHEL7_Capsule             304 k
 rubygem-rack-protection                 noarch             1.5.0-7.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule              14 k
 rubygem-rake                            noarch             0.9.2.2-41.el7sat                  Default_Organization_SNAP6_1_-_RHEL7_Capsule              49 k
 rubygem-rest-client                     noarch             1.6.7-1.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule             241 k
 rubygem-rkerberos                       x86_64             0.1.2-3.el7sat                     Default_Organization_SNAP6_1_-_RHEL7_Capsule              53 k
 rubygem-rubyipmi                        noarch             0.10.0-1.el7sat                    Default_Organization_SNAP6_1_-_RHEL7_Capsule              20 k
 rubygem-sinatra                         noarch             1:1.3.6-27.el7sat                  Default_Organization_SNAP6_1_-_RHEL7_Capsule              82 k
 rubygem-thor                            noarch             0.19.1-1.el7                       rhel-7-server-rpms                                        52 k
 rubygem-tilt                            noarch             1.3.3-18.el7sat                    Default_Organization_SNAP6_1_-_RHEL7_Capsule              27 k
 setools-libs                            x86_64             3.3.7-46.el7                       rhel-7-server-rpms                                       485 k

Transaction Summary
==============================================================================================================================================================
Install  1 Package (+54 Dependent packages)

Total size: 9.4 M
Total download size: 3.6 M
Installed size: 36 M
Is this ok [y/d/N]: y
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
rubygem-bundler_ext-0.3.0-7.el FAILED                                          
https://rhsm-qe-3.rhq.lab.eng.bos.redhat.com/pulp/repos/Default_Organization/Library/RHEL7_Capsules_for_Satellite_6_2/custom/SNAP6_1_-_RHEL7/Capsule/rubygem-bundler_ext-0.3.0-7.el7sat.noarch.rpm: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
To address this issue please refer to the below knowledge base article 

https://access.redhat.com/articles/1320623

If above article doesn't help to resolve this issue please open a ticket with Red Hat Support.

rubygem-ffi-1.4.0-3.el7sat.x86 FAILED                                          
https://rhsm-qe-3.rhq.lab.eng.bos.redhat.com/pulp/repos/Default_Organization/Library/RHEL7_Capsules_for_Satellite_6_2/custom/SNAP6_1_-_RHEL7/Capsule/rubygem-ffi-1.4.0-3.el7sat.x86_64.rpm: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
rubygem-gssapi-1.1.2-4.el7sat. FAILED                                          
https://rhsm-qe-3.rhq.lab.eng.bos.redhat.com/pulp/repos/Default_Organization/Library/RHEL7_Capsules_for_Satellite_6_2/custom/SNAP6_1_-_RHEL7/Capsule/rubygem-gssapi-1.1.2-4.el7sat.noarch.rpm: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
(1/26): rubygem-hashie-2.0.5-2.el7sat.noarch.rpm                                                                                       |  17 kB  00:00:01     
(2/26): rubygem-highline-1.6.21-1.el7sat.noarch.rpm                                                                                    | 499 kB  00:00:02     
rubygem-kafo-0.7.2-1.el7sat.no FAILED                                          
https://rhsm-qe-3.rhq.lab.eng.bos.redhat.com/pulp/repos/Default_Organization/Library/RHEL7_Capsules_for_Satellite_6_2/custom/SNAP6_1_-_RHEL7/Capsule/rubygem-kafo-0.7.2-1.el7sat.noarch.rpm: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
rubygem-kafo_parsers-0.0.6-1.e FAILED                                          
https://rhsm-qe-3.rhq.lab.eng.bos.redhat.com/pulp/repos/Default_Organization/Library/RHEL7_Capsules_for_Satellite_6_2/custom/SNAP6_1_-_RHEL7/Capsule/rubygem-kafo_parsers-0.0.6-1.el7sat.noarch.rpm: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
rubygem-kafo_wizards-0.0.1-1.e FAILED                                          
https://rhsm-qe-3.rhq.lab.eng.bos.redhat.com/pulp/repos/Default_Organization/Library/RHEL7_Capsules_for_Satellite_6_2/custom/SNAP6_1_-_RHEL7/Capsule/rubygem-kafo_wizards-0.0.1-1.el7sat.noarch.rpm: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
(3/26): rubygem-little-plugger-1.1.3-17.el7sat.noarch.rpm                                                                              |  17 kB  00:00:01     
(4/26): rubygem-logging-1.8.1-26.el7sat.noarch.rpm                                                                                     |  60 kB  00:00:01     
(5/26): rubygem-mime-types-1.19-7.el7sat.noarch.rpm                                                                                    |  33 kB  00:00:01     
(6/26): rubygem-multi_json-1.8.2-4.el7sat.noarch.rpm                                                                                   |  17 kB  00:00:01     
(7/26): rubygem-net-http-persistent-2.8-5.el7.noarch.rpm                                                                               |  22 kB  00:00:01     
(8/26): rubygem-oauth-0.4.7-8.el7sat.noarch.rpm                                                                                        | 292 kB  00:00:02     
(9/26): rubygem-powerbar-1.0.11-8.el7sat.noarch.rpm                                                                                    |  12 kB  00:00:01     
rubygem-rack-1.4.1-13.el7sat.n FAILED                                          
https://rhsm-qe-3.rhq.lab.eng.bos.redhat.com/pulp/repos/Default_Organization/Library/RHEL7_Capsules_for_Satellite_6_2/custom/SNAP6_1_-_RHEL7/Capsule/rubygem-rack-1.4.1-13.el7sat.noarch.rpm: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
rubygem-rack-protection-1.5.0- FAILED                                          
https://rhsm-qe-3.rhq.lab.eng.bos.redhat.com/pulp/repos/Default_Organization/Library/RHEL7_Capsules_for_Satellite_6_2/custom/SNAP6_1_-_RHEL7/Capsule/rubygem-rack-protection-1.5.0-7.el7sat.noarch.rpm: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
rubygem-rake-0.9.2.2-41.el7sat FAILED                                          
https://rhsm-qe-3.rhq.lab.eng.bos.redhat.com/pulp/repos/Default_Organization/Library/RHEL7_Capsules_for_Satellite_6_2/custom/SNAP6_1_-_RHEL7/Capsule/rubygem-rake-0.9.2.2-41.el7sat.noarch.rpm: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
(10/26): rubygem-rest-client-1.6.7-1.el7sat.noarch.rpm                                                                                 | 241 kB  00:00:02     
rubygem-rkerberos-0.1.2-3.el7s FAILED                                          
https://rhsm-qe-3.rhq.lab.eng.bos.redhat.com/pulp/repos/Default_Organization/Library/RHEL7_Capsules_for_Satellite_6_2/custom/SNAP6_1_-_RHEL7/Capsule/rubygem-rkerberos-0.1.2-3.el7sat.x86_64.rpm: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
rubygem-rubyipmi-0.10.0-1.el7s FAILED                                          
https://rhsm-qe-3.rhq.lab.eng.bos.redhat.com/pulp/repos/Default_Organization/Library/RHEL7_Capsules_for_Satellite_6_2/custom/SNAP6_1_-_RHEL7/Capsule/rubygem-rubyipmi-0.10.0-1.el7sat.noarch.rpm: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
(11/26): rubygem-thor-0.19.1-1.el7.noarch.rpm                                                                                          |  52 kB  00:00:01     
rubygem-sinatra-1.3.6-27.el7sa FAILED                                          
https://rhsm-qe-3.rhq.lab.eng.bos.redhat.com/pulp/repos/Default_Organization/Library/RHEL7_Capsules_for_Satellite_6_2/custom/SNAP6_1_-_RHEL7/Capsule/rubygem-sinatra-1.3.6-27.el7sat.noarch.rpm: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
rubygem-tilt-1.3.3-18.el7sat.n FAILED                                          
https://rhsm-qe-3.rhq.lab.eng.bos.redhat.com/pulp/repos/Default_Organization/Library/RHEL7_Capsules_for_Satellite_6_2/custom/SNAP6_1_-_RHEL7/Capsule/rubygem-tilt-1.3.3-18.el7sat.noarch.rpm: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
satellite-capsule-6.2.0-6.1.be FAILED                                          ===========                                  ]  33 kB/s | 1.3 MB  00:01:09 ETA 
https://rhsm-qe-3.rhq.lab.eng.bos.redhat.com/pulp/repos/Default_Organization/Library/RHEL7_Capsules_for_Satellite_6_2/custom/SNAP6_1_-_RHEL7/Capsule/satellite-capsule-6.2.0-6.1.beta.el7sat.noarch.rpm: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
(12/26): setools-libs-3.3.7-46.el7.x86_64.rpm                                                                                          | 485 kB  00:00:02     


Error downloading packages:
  rubygem-bundler_ext-0.3.0-7.el7sat.noarch: [Errno 256] No more mirrors to try.
  1:rubygem-rack-1.4.1-13.el7sat.noarch: [Errno 256] No more mirrors to try.
  rubygem-rkerberos-0.1.2-3.el7sat.x86_64: [Errno 256] No more mirrors to try.
  rubygem-kafo_wizards-0.0.1-1.el7sat.noarch: [Errno 256] No more mirrors to try.
  rubygem-gssapi-1.1.2-4.el7sat.noarch: [Errno 256] No more mirrors to try.
  rubygem-rake-0.9.2.2-41.el7sat.noarch: [Errno 256] No more mirrors to try.
  rubygem-rubyipmi-0.10.0-1.el7sat.noarch: [Errno 256] No more mirrors to try.
  rubygem-kafo-0.7.2-1.el7sat.noarch: [Errno 256] No more mirrors to try.
  rubygem-tilt-1.3.3-18.el7sat.noarch: [Errno 256] No more mirrors to try.
  satellite-capsule-6.2.0-6.1.beta.el7sat.noarch: [Errno 256] No more mirrors to try.
  1:rubygem-sinatra-1.3.6-27.el7sat.noarch: [Errno 256] No more mirrors to try.
  rubygem-kafo_parsers-0.0.6-1.el7sat.noarch: [Errno 256] No more mirrors to try.
  rubygem-ffi-1.4.0-3.el7sat.x86_64: [Errno 256] No more mirrors to try.
  rubygem-rack-protection-1.5.0-7.el7sat.noarch: [Errno 256] No more mirrors to try.

Expected results:
Packages can be installed

Additional info:

selinux has been disable to try and resolve this.  it did not help.

Comment 5 Michael Hrivnak 2016-06-08 15:59:06 UTC
This could result from the urllib3 bug we're already tracking, so I'm associating that upstream issue.

Comment 6 pulp-infra@redhat.com 2016-06-08 16:00:43 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 7 pulp-infra@redhat.com 2016-06-08 16:00:46 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 8 pulp-infra@redhat.com 2016-07-13 15:30:54 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 9 pulp-infra@redhat.com 2016-08-01 14:00:51 UTC
The Pulp upstream bug priority is at Urgent. Updating the external tracker on this bug.

Comment 10 pulp-infra@redhat.com 2016-08-01 17:00:52 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 11 pulp-infra@redhat.com 2016-08-10 20:01:04 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 12 pulp-infra@redhat.com 2016-08-11 10:00:55 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 13 pulp-infra@redhat.com 2016-08-11 19:30:54 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 14 pulp-infra@redhat.com 2016-08-15 14:01:11 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 15 pulp-infra@redhat.com 2016-08-17 13:30:59 UTC
The Pulp upstream bug status is at VERIFIED. Updating the external tracker on this bug.

Comment 16 pulp-infra@redhat.com 2016-08-19 14:01:09 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 17 jcallaha 2016-10-25 18:59:51 UTC
Verified in Satellite 6.2.3 Snap 4.

Successfully streamed over 2,500 packages to multiple hosts at once. No errors seen on either Satellite or Host ends.

Comment 19 errata-xmlrpc 2016-10-26 12:25:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:2108


Note You need to log in before you can comment on or make changes to this bug.